### Enumeration

# Camel JunkStatus

#### Declaration

    enum Camel.JunkStatus

#### Description [src]

These are result codes used when passing messages through a junk filter.

#### Members

`CAMEL_JUNK_STATUS_ERROR`

  An error occurred while invoking the junk filter.

  - Value: `0`
  - Available since: 1.2
`CAMEL_JUNK_STATUS_INCONCLUSIVE`

  The junk filter could not determine whether the message is junk.

  - Value: `1`
  - Available since: 1.2
`CAMEL_JUNK_STATUS_MESSAGE_IS_JUNK`

  The junk filter believes the message is junk.

  - Value: `2`
  - Available since: 1.2
`CAMEL_JUNK_STATUS_MESSAGE_IS_NOT_JUNK`

  The junk filter believes the message is not junk.

  - Value: `3`
  - Available since: 1.2